import { v4 as uuidv4 } from 'uuid';
import { getIdByPath } from '../../../../../../../../../utils/get-id-by-path';
import { getStatePath } from '../../utils/paths';
import { addValue } from '../../../../../../../../commands';
export const addTransition = (destinationPath) => (dispatch) => {
    const statePath = getStatePath(destinationPath);
    const stateId = getIdByPath(statePath);
    dispatch(addValue(destinationPath, {
        id: uuidv4(),
        state: stateId,
        time: 0,
        conditions: [],
    }));
};
